[Author Prev][Author Next][Thread Prev][Thread Next][Author Index][Thread Index]
[tor-commits] [chutney/master] Debug: give better bootstrap error messages
commit ef92c76684189c4bf4049e10da0eee4fc4836009
Author: teor <teor@xxxxxxxxxxxxxx>
Date: Thu Oct 25 09:57:28 2018 +1000
Debug: give better bootstrap error messages
---
lib/chutney/TorNet.py | 3 ++-
tools/bootstrap-network.sh | 9 +++++++--
2 files changed, 9 insertions(+), 3 deletions(-)
diff --git a/lib/chutney/TorNet.py b/lib/chutney/TorNet.py
index 2d5b38e..cc86960 100644
--- a/lib/chutney/TorNet.py
+++ b/lib/chutney/TorNet.py
@@ -1092,7 +1092,8 @@ class Network(object):
b.postConfig(network)
def status(self):
- statuses = [n.getController().check() for n in self._nodes]
+ statuses = [n.getController().check(listNonRunning=True)
+ for n in self._nodes]
n_ok = len([x for x in statuses if x])
print("%d/%d nodes are running" % (n_ok, len(self._nodes)))
return n_ok == len(self._nodes)
diff --git a/tools/bootstrap-network.sh b/tools/bootstrap-network.sh
index b18165e..27e8122 100755
--- a/tools/bootstrap-network.sh
+++ b/tools/bootstrap-network.sh
@@ -56,5 +56,10 @@ echo "$myname: bootstrapping network: $flavour"
"$CHUTNEY" start "$CHUTNEY_NETWORK"
sleep 1
-"$CHUTNEY" status "$CHUTNEY_NETWORK"
-#echo "tail -F net/nodes/*/notice.log"
+if ! "$CHUTNEY" status "$CHUTNEY_NETWORK"; then
+ # Try to work out why the start or status command is failing
+ CHUTNEY_DEBUG=1 "$CHUTNEY" start "$CHUTNEY_NETWORK"
+ # Wait a little longer, just in case
+ sleep 5
+ CHUTNEY_DEBUG=1 "$CHUTNEY" status "$CHUTNEY_NETWORK"
+fi
_______________________________________________
tor-commits mailing list
tor-commits@xxxxxxxxxxxxxxxxxxxx
https://lists.torproject.org/cgi-bin/mailman/listinfo/tor-commits